# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXRender

Function

Renders an Object into an image.

Syntax
`
#include <dx/dx.h>
`

Field DXRender(Object o, Camera c, char *format)

Functional Details

Renders all objects in `o` using the Camera defined by `c`. It returns a new image Field containing the result. This routine performs the transformation, shading, and the tiling steps.

If `format` is specified as `NULL`, a generic floating-point image is created; this is the most flexible format with respect to processing by other modules. Alternatively, `format` may be specified as a character string identifying a hardware-specific format that may be used only for display on a particular hardware device. `format` currently must begin with "X" for an image that will be displayed on an X server image window, or "FB" for an image that will be displayed on an IBM 7246 Video Controller. Any other string will generate a generic floating-point image.

A renderable Field must have at least a "positions" and a "colors" component. For anything other than scattered points, a "connections" component is needed. Many other components and attributes affect the output of `DXRender`. For additional details on the rendering process, see Chapter 16. "Rendering".

Return Value

Returns the image, or returns `NULL` and sets the error code to indicate an error.

See Also

`DXApplyTransform, DXGetCameraMatrix, DXGetCameraRotation, DXGetCameraMatrixWithFuzz, DXSetAttribute, DXDeleteAttribute`

Chapter 16. "Rendering".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]